local_backend: true

backend:
    name: github
    repo: brajgor/WanderWhyLanding
    branch: master
    base_url: https://decap.wanderwhyapp.com/
    auth_endpoint: /auth

media_folder: "public/uploads"
public_folder: "/uploads"

logo:
  src: '/WWAdminLogo.svg'
  show_in_header: true

collections:
  - name: "blog"
    label: "Blog"
    folder: "src/blogs"
    create: true
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Date", name: "date", widget: "datetime" }
      - { label: "Category",
          name: "category",
          widget: "select",
          options: [
            { label: "Travel", value: "travel" },
            { label: "Students", value: "students" },
            { label: "Research", value: "research" },
          ] }
      - { label: "Cover", name: "cover", widget: "image", required: false }
      - { label: "Text", name: "body", widget: "markdown", required: false}
#      - { label: "Sections", name: "sections", widget: "list",summary: "{{fields.heading}}",
#          fields: [
#            { label: "Heading", name: "heading", widget: "string", required: false },
#            { label: "Text", name: "text", widget: "markdown", required: false }
#          ]
#      }
